<p align="center">
<img src="https://user-images.githubusercontent.com/8784712/47992262-650b1780-e127-11e8-9e58-6c75e22ad99f.png" width="150" />
</p>

<p align="center">
<br>
<a href="https://npmjs.com/package/sao"><img src="https://img.shields.io/npm/v/sao.svg?style=flat" alt="NPM version"></a> <a href="https://npmjs.com/package/sao"><img src="https://img.shields.io/npm/dm/sao.svg?style=flat" alt="NPM downloads"></a> <a href="https://circleci.com/gh/saojs/sao"><img src="https://img.shields.io/circleci/project/saojs/sao/master.svg?style=flat" alt="Build Status"></a> <a href="https://packagephobia.now.sh/result?p=sao"><img src="https://packagephobia.now.sh/badge?p=sao" alt="install size"></a> <a href="https://github.com/egoist/donate"><img src="https://img.shields.io/badge/$-donate-ff69b4.svg?maxAge=2592000&amp;style=flat" alt="donate"></a> <a href="https://chat.egoist.moe"><img src="https://img.shields.io/badge/chat-on%20discord-7289DA.svg?style=flat" alt="chat"></a>
</p>

## Motivation

**SAO** was made because **yeoman**, while powerful, is too complex. **vue-cli**, on the other hand, is more than a scaffolding tool and lacks some important features like *unit testing*. **SAO** combines the powerful core features of **yeoman** with the simplicity of **vue-cli** into a single application.

**SAO** is compatible with:

- Regular git repo (simply download it)
- SAO generator as git repo
- SAO generator as npm package
- SAO generator in local folder

⚡ ️**Both repo and npm package can be used offline.**

## Quick Start

```bash
yarn global add sao

# An official generator for creating a Node.js project
# Generate from git repo
sao egoist/sao-nm my-module
# Or from npm package (npm.im/sao-nm)
sao nm my-module
```

For detailed usage please head to https://saojs.org

## Related

- [Awesome SAO](https://github.com/saojs/awesome-sao) - A curated list of delightful SAO resources.
- [SAO articles on medium.com](https://medium.com/saojs).

## Contributing

1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request :D

## Author

**SAO** © [EGOIST](https://github.com/egoist), Released under the [MIT](https://egoist.mit-license.org/) License.<br>
Authored and maintained by EGOIST with help from contributors ([list](https://github.com/saojs/sao/contributors)).

> [egoist.sh](https://egoist.sh) · GitHub [@EGOIST](https://github.com/egoist) · Twitter [@_egoistlily](https://twitter.com/_egoistlily)


